Announcement

Collapse
No announcement yet.

PHP Warning

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] PHP Warning

    Hello. I can't open my forum anymore; gives me this error:
    PHP Warning: mysqli_query(): (HY000/1114): The table 'session' is full in ..../includes/class_core.php on line 1386
    can you help me please?

  • #2
    You need to run this query on the database:

    truncate table session
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.5.6 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Thanks, I couldn't do anything, please there are some videos for this problem, I had a web master unfortunately it disappeared, thanks to everyone for your availability

      Comment


      • #4
        No there is no video. Running queries differs depending on the host and their set up, over which we have no control.

        Your host will normally provide something like phpMyAdmin to provide access to the database. You can run the query on there.

        If not, or if you are not confident running queries, you can speak to your host.

        Alternatively: If you have ftp access (and can provide us with the credentials), then you can raise a support ticket to us, we should be able to upload a file that will allow us to run the query for you.
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.5.6 Demo
        AdminAmmo - My Cloud Demo

        Comment


        • #5
          Hello I'm getting a similar error:

          ​​​​​​MySQL Error : The table 'session' is full
          Error Number : 1114

          Is this a new error on vbulletin 4? is the only thing to do is upgrade to 5?

          Update: truncate table session fixed this, but what caused this in the first place? Will this reoccur?
          Last edited by blacksurfer; Sat 26th Oct '19, 11:20am.

          Comment


          • #6
            No it's not a new error. What may have changed is that forums, especially vBulletin forums, are under active attack by bots lately, many from China.
            Psychlinks Mental Health Support Forum
            Local Search Forum

            Comment


            • #7
              Originally posted by djbaxter View Post
              No it's not a new error. What may have changed is that forums, especially vBulletin forums, are under active attack by bots lately, many from China.
              That's what my web host thought. Anyway to prevent this from happening? Do I need to upgrade to vb5 or another forum like zenforo or is there another preventative step? Thanks very much!

              Comment


              • #8
                You need to speak to your host. No forum software can prevent DDOS attacks.

                Upgrading or switching software will not help. Defending such attacks is a server-level operation.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.5.6 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  Originally posted by Mark.B View Post
                  You need to speak to your host. No forum software can prevent DDOS attacks.

                  Upgrading or switching software will not help. Defending such attacks is a server-level operation.
                  OK, i read in another topic that upgrading to vb5 prevents this. Thanks

                  Comment


                  • #10
                    Originally posted by blacksurfer View Post
                    That's what my web host thought. Anyway to prevent this from happening? Do I need to upgrade to vb5 or another forum like zenforo or is there another preventative step? Thanks very much!
                    As Mark.B said, upgrading vBulletin won't help. Even switching to different forum software won't help if the DDoS is targeting your URL.

                    Using a firewall on the server may help somewhat but in my experience if you're really getting hammered you'll probably need to use Cloudflare - The Web Performance & Security Company | Cloudflare. Try the free version first. If that doesn't work, moving up to the lowest paid plan (Pro @ $20/month USD) will likely stop it dead. The Pro plan adds an additional firewall that allows you to block entire countries, which is very effective if you know where they are coming from.
                    Psychlinks Mental Health Support Forum
                    Local Search Forum

                    Comment


                    • #11
                      Originally posted by djbaxter View Post

                      As Mark.B said, upgrading vBulletin won't help. Even switching to different forum software won't help if the DDoS is targeting your URL.

                      Using a firewall on the server may help somewhat but in my experience if you're really getting hammered you'll probably need to use Cloudflare - The Web Performance & Security Company | Cloudflare. Try the free version first. If that doesn't work, moving up to the lowest paid plan (Pro @ $20/month USD) will likely stop it dead. The Pro plan adds an additional firewall that allows you to block entire countries, which is very effective if you know where they are coming from.
                      Thanks I signed up and changed my email password and this seems to be working for now. I'm on forum 4.1.2, why wasn't the patch released for older forums and not just 5?

                      Comment


                      • #12
                        Because as far as I know the security issue only affected vB5. not vB4.
                        Psychlinks Mental Health Support Forum
                        Local Search Forum

                        Comment


                        • #13
                          I want to thank Marc for his ticket advice, which worked perfectly !! thanks a lot Mark

                          Comment


                          • #14
                            Originally posted by blacksurfer View Post

                            Thanks I signed up and changed my email password and this seems to be working for now. I'm on forum 4.1.2, why wasn't the patch released for older forums and not just 5?
                            Firstly the issue did not affect vB4.
                            Secondly vB4 is end of life
                            Thirdly and most importantly, even if such an issue did crop up on vB4 and we decided to issue a patch, it would only be for 4.2.5.

                            4.1.2 is old and completely unsupported. It also potentially contains other unpatched security flaws. You should arrange to upgrade php to 7.1 and vBulletin to 4.2.5 without delay.
                            MARK.B | vBULLETIN SUPPORT

                            TalkNewsUK - My vBulletin 5.5.6 Demo
                            AdminAmmo - My Cloud Demo

                            Comment


                            • #15
                              Originally posted by blacksurfer View Post

                              OK, i read in another topic that upgrading to vb5 prevents this. Thanks
                              It will prevent the session table is full message because we don't use Memory tables in vBulletin 5. It doesn't stop the underlying cause of the issue though. You'll just get an increasingly large table. Nor will you gain protection from a DDOS attack. The server will simply fail in another location.

                              vBulletin will delete expired sessions every hour. If you're under a DDOS attack, it cannot do this because there are 1) too many sessions, 2) the table fails, 3) server resources are exhausted. The way to protect against DDOS attacks is to use a firewall at the largest bandwidth portions coming into your data center's network to deflect improper traffic to the void. It just goes there to die. Your hope is that your internal network will still have enough bandwidth for legitimate requests. If you wait until it gets to the actual server it is often too late. The network is overwhelmed and the server goes offline. If you wait until it gets to the application (vBulletin in this case), there is no hope of regaining control.
                              Translations provided by Google.

                              Wayne Luke
                              The Rabid Badger - a vBulletin Cloud demonstration site.
                              vBulletin 5 API - Full / Mobile
                              Vote for your favorite feature requests and the bugs you want to see fixed.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X